## adder

adder — Add N audio channels together

## Synopsis

                        GstAdder;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstAdder

## Properties

      "caps"                     GstCaps*              : Read / Write

## Description

The adder allows to mix several streams into one by adding the data. Mixed data is clamped to the min/max values of the data format.

The adder currently mixes all data received on the sinkpads as soon as possible without trying to synchronize the streams.

### Example launch line

    1

    gst-launch audiotestsrc freq=100 ! adder name=mix ! audioconvert ! alsasink audiotestsrc freq=500 ! mix.

This pipeline produces two sine waves mixed together.

Last reviewed on 2006-05-09 (0.10.7)

## Details

### GstAdder

    typedef struct _GstAdder GstAdder;

The adder object structure.

## Property Details

### The `"caps"` property

      "caps"                     GstCaps*              : Read / Write

Set target format for mixing (NULL means ANY). Setting this property takes a reference to the supplied GstCaps object.

Since 0.10.24